> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /flightaware/delays

> Get worldwide flight delay and cancellation statistics with airline and airport breakdowns

**Price:** 1 credit



## OpenAPI

````yaml /openapi/developer-data.json post /api/flightaware/delays
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/flightaware/delays:
    post:
      tags:
        - /flightaware
      summary: /flightaware/delays
      description: >-
        Get worldwide flight delay and cancellation statistics with airline and
        airport breakdowns


        **Price:** 1 credit
      operationId: __api_flightaware_delays_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FlightawareDelaysPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FlightawareDelays'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FlightawareDelaysPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        date:
          $ref: '#/components/schemas/FlightawareDelayDate'
          default: today
        airport:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    FlightawareDelays:
      properties:
        '@type':
          type: string
          default: FlightawareDelays
        date:
          type: string
        airport:
          anyOf:
            - type: string
            - type: 'null'
        total_delays:
          anyOf:
            - type: integer
            - type: 'null'
        total_delays_us:
          anyOf:
            - type: integer
            - type: 'null'
        total_cancellations:
          anyOf:
            - type: integer
            - type: 'null'
        total_cancellations_us:
          anyOf:
            - type: integer
            - type: 'null'
        by_airline:
          items:
            $ref: '#/components/schemas/FlightawareDelayBreakdown'
          type: array
          default: []
        by_origin_airport:
          items:
            $ref: '#/components/schemas/FlightawareDelayBreakdown'
          type: array
          default: []
        by_destination_airport:
          items:
            $ref: '#/components/schemas/FlightawareDelayBreakdown'
          type: array
          default: []
      type: object
      required:
        - date
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FlightawareDelayDate:
      type: string
      enum:
        - today
        - tomorrow
        - yesterday
        - plus2days
        - minus2days
        - minus3days
    FlightawareDelayBreakdown:
      properties:
        '@type':
          type: string
          default: FlightawareDelayBreakdown
        name:
          type: string
        cancelled_count:
          anyOf:
            - type: integer
            - type: 'null'
        cancelled_percent:
          anyOf:
            - type: number
            - type: 'null'
        delayed_count:
          anyOf:
            - type: integer
            - type: 'null'
        delayed_percent:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````